> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Seo Google Status

> Per-provider connection + selection state for the workspace.



## OpenAPI

````yaml /openapi.json get /api/v1/seo-integrations/status
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/seo-integrations/status:
    get:
      tags:
        - SEO Integrations
        - SEO Integrations
      summary: Seo Google Status
      description: Per-provider connection + selection state for the workspace.
      operationId: seo_google_status_api_v1_seo_integrations_status_get
      parameters:
        - name: workspace_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SeoStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SeoStatusResponse:
      properties:
        gsc:
          $ref: '#/components/schemas/SeoProviderState'
        ga4:
          $ref: '#/components/schemas/SeoProviderState'
      type: object
      required:
        - gsc
        - ga4
      title: SeoStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SeoProviderState:
      properties:
        connected:
          type: boolean
          title: Connected
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        selected:
          anyOf:
            - type: string
            - type: 'null'
          title: Selected
      type: object
      required:
        - connected
      title: SeoProviderState
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````